﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.Connections" Title="Database Connections" Codebehind="Connections.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('DatabaseConnectionsHelp.htm')" href="javascript:void(0)">
			<img alt="Help" src="images/help3.gif" border="0" /></a> <span class="nav2title">Database
				Connections</span> <a href="EditConnection.aspx?Mode=A" class="nav2right">Add New Connection</a>
	</div>
    <div>
        <asp:HiddenField ID="hideCurrentUserID" runat="server" />
        <asp:ObjectDataSource ID="dataConnections" runat="server" DeleteMethod="DeleteDatabaseConnectionByID" SelectMethod="GetDatabaseConnections" 
            TypeName="Ripplestone.BLL.DataConnection">
            <SelectParameters>
                <asp:ControlParameter ControlID="hideCurrentUserID" DefaultValue="0" Name="userID" PropertyName="Value" Type="Int32" />
            </SelectParameters>
            <DeleteParameters>
                <asp:Parameter Name="ID" Type="Int32" />
            </DeleteParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="dataReports" runat="server" SelectMethod="GetReportDBConnectionByConnectionID" TypeName="Ripplestone.BLL.ReportDatabaseConnection">
            <SelectParameters>
                <asp:SessionParameter Name="connectionID" SessionField="ConnectionID" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>

        <dx:ASPxGridView ID="gridConnections" runat="server" AutoGenerateColumns="False" DataSourceID="dataConnections" KeyFieldName="ID" Width="100%" 
            ClientInstanceName="gv" EnableCallbackAnimation="true" EnablePagingCallbackAnimation="true">
            <SettingsContextMenu Enabled="true"></SettingsContextMenu>
            <SettingsPager PageSize="20">
                <PageSizeItemSettings Visible="true" ShowAllItem="true"></PageSizeItemSettings>
            </SettingsPager>
            <Settings ShowFilterRow="True" ShowGroupPanel="True" ShowFilterBar="Auto" ShowFilterRowMenu="true" />
            <SettingsBehavior ConfirmDelete="true" AllowSelectByRowClick="true" AllowSelectSingleRowOnly="true" />
            <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
            <SettingsSearchPanel Visible="True" ShowApplyButton="true" ShowClearButton="true" />
            <SettingsDetail ShowDetailRow="true" />
            <Columns>
                <dx:GridViewDataTextColumn FieldName="ConnectionType" VisibleIndex="0">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="ServerName" VisibleIndex="1">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="DatabaseName" VisibleIndex="2">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="UserID" VisibleIndex="3">
                </dx:GridViewDataTextColumn>
                <dx:GridViewCommandColumn ButtonType="Image" Caption="Edit" VisibleIndex="4" Name="Edit" Width="40px" ToolTip="Click to edit this row">
                    <CustomButtons>
                        <dx:GridViewCommandColumnCustomButton ID="btnEdit" Text="Edit" Visibility="AllDataRows">
                            <Image ToolTip="Click to edit this row" Url="~/Images/Edit.gif" />
                        </dx:GridViewCommandColumnCustomButton>
                    </CustomButtons>
                    <HeaderStyle HorizontalAlign="Center">
                        <Paddings Padding="1px" />
                    </HeaderStyle>
                    <CellStyle>
                        <Paddings Padding="1px" />
                    </CellStyle>
                </dx:GridViewCommandColumn>
                <dx:GridViewCommandColumn ButtonType="Image" Caption="Delete" Name="Delete" ShowClearFilterButton="True"
                    ShowDeleteButton="True" Width="40px" VisibleIndex="9" ToolTip="Click to delete this row">
                    <HeaderStyle HorizontalAlign="Center">
                        <Paddings Padding="1px" />
                    </HeaderStyle>
                    <CellStyle>
                        <Paddings Padding="1px" />
                    </CellStyle>
                </dx:GridViewCommandColumn>
            </Columns>
            <Templates>
                <DetailRow>
                    <dx:ASPxGridView ID="grdReports" runat="server" AutoGenerateColumns="False" DataSourceID="dataReports" KeyFieldName="ID"
                        OnBeforePerformDataSelect="grdReports_BeforePerformDataSelect" OnCustomButtonCallback="grdReports_CustomButtonCallback">
                        <Columns>
                            <dx:GridViewDataTextColumn FieldName="ID" VisibleIndex="5" Visible="false">
                            </dx:GridViewDataTextColumn>
                            <dx:GridViewDataTextColumn FieldName="ConnectionID" VisibleIndex="10" Visible="false">
                            </dx:GridViewDataTextColumn>
                            <dx:GridViewDataTextColumn FieldName="ReportID" VisibleIndex="15" Visible="false">
                            </dx:GridViewDataTextColumn>
                            <dx:GridViewDataTextColumn FieldName="ReportTitle" VisibleIndex="20" Caption="Reports that use this Database Connection" ToolTip="This is a list of Reports that used this Database Connection">
                            </dx:GridViewDataTextColumn>
                            <dx:GridViewCommandColumn ButtonType="Image" Caption="GoTo" VisibleIndex="25" Name="GoTo" Width="50px">
                                <CustomButtons>
                                    <dx:GridViewCommandColumnCustomButton ID="btnGoTo" Text="GoTo" Visibility="AllDataRows">
                                        <Image ToolTip="Click to go to this document on the home page" Url="~/Images/Move.gif" />
                                    </dx:GridViewCommandColumnCustomButton>
                                </CustomButtons>
                                <HeaderStyle HorizontalAlign="Center" />
                            </dx:GridViewCommandColumn>
                        </Columns>
                    </dx:ASPxGridView>
                </DetailRow>
            </Templates>
            <SettingsCommandButton>
                <ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

                <HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>

                <DeleteButton>
                    <Image ToolTip="Delete this row?" Url="~/Images/Delete.gif" />
                </DeleteButton>
            </SettingsCommandButton>
            <Styles AdaptiveDetailButtonWidth="22"></Styles>
        </dx:ASPxGridView>
    </div>
</asp:Content>
